# -*- encoding : utf-8 -*-
require 'uri'
require 'yaml'

module Meiriyigua
  class Config
    class << self
      def load
        YAML::ENGINE.yamler = 'syck'
        @@hashs = YAML.load(File.read "#{Dir.pwd}/set.yml")
      end

      def site_host
        URI(login_url).host
      end

      {login_url: '提交地址',
       username: '用户名',
       password: '密码',
       encode: '编码',
       day_num: '每天发布',
       post_time: '发布延时',
       update_time: '监控延时'}.each do |k, v|
         define_method(k) do
           @@hashs['基础'][v]
         end
       end

       def categories
         @@hashs['栏目']
       end
    end

    self.load
  end
end
